Support » Plugin: Elementor Page Builder » Elementor not working with JetThemeCore

  • Resolved futureextreme

    (@futureextreme)


    After update I got the white page of death with an error message referring to elementor and jet plugin. When I deactivate the JetThemeCore some parts of the website came back up again.

    This was the original error message:
    Uncaught Error: Class ‘Elementor\Post_CSS_File’ not found in

    /home1/futureex/public_html/futureextreme/wp-content/plugins/jet-theme-

    core/includes/locations.php:104

    Stack trace:

    #0 /home1/futureex/public_html/futureextreme/wp-includes/class-wp-

    hook.php(286): Jet_Theme_Core_Locations->enqueue_styles(”)

    #1 /home1/futureex/public_html/futureextreme/wp-includes/class-wp-

    hook.php(310): WP_Hook->apply_filters(NULL, Array)

    #2 /home1/futureex/public_html/futureextreme/wp-includes/plugin.php(465):

    WP_Hook->do_action(Array)

    #3 /home1/futureex/public_html/futureextreme/wp-includes/script-

    loader.php(2539): do_action(‘wp_enqueue_scri…’)

    #4 /home1/futureex/public_html/futureextreme/wp-includes/class-wp-

    hook.php(286): wp_enqueue_scripts(”)

    #5 /home1/futureex/public_html/futureextreme/wp-includes/class-wp-

    hook.php(310): WP_Hook->apply_filters(NULL, Array)

    #6 /home1/futureex/public_html/futureextreme/wp-includes/plugin.php(465):

    WP_Hook->do_action(Array)

    #7 /home1/futureex/public_html/futureextreme/wp-includes/general-temp

    My website shows as a white page with this error message. Everything is
    up to date.

    Anyone have any idea about what could be the problem?

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • Having same issue.
    Someone please help

    Which version? If 2.7.1, try 2.7.2.

    Please also check with the Jet support team, as the error is happening there. They may have a workaround or a fix already.

    I have the same problem too.

    Fatal error: Uncaught Error: Class ‘Elementor\Post_CSS_File’ not found in /home/axastudi/axa-studio.com/dienergy/wp-content/plugins/jet-theme-core/includes/locations.php:114 Stack trace: #0 /home/axastudi/axa-studio.com/dienergy/wp-includes/class-wp-hook.php(286): Jet_Theme_Core_Locations->enqueue_styles(”) #1 /home/axastudi/axa-studio.com/dienergy/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #2 /home/axastudi/axa-studio.com/dienergy/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #3 /home/axastudi/axa-studio.com/dienergy/wp-includes/script-loader.php(2539): do_action(‘wp_enqueue_scri…’) #4 /home/axastudi/axa-studio.com/dienergy/wp-includes/class-wp-hook.php(286): wp_enqueue_scripts(”) #5 /home/axastudi/axa-studio.com/dienergy/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #6 /home/axastudi/axa-studio.com/dienergy/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #7 /home/axastudi/axa-studio.com/dienergy/wp-includes/general-template.php(2745): do_action(‘ in /home/axastudi/axa-studio.com/dienergy/wp-content/plugins/jet-theme-core/includes/locations.php on line 114

    Elementor version 2.7.2

    I have this problem too.. Somebody help?

    Please submit a support ticket to the Jet plugin support team, as the error is occurring within their plugin.

    For anyone else who has this issue. I bought a template that included elementor and JetThemeCore. When Elementor updated to 2.7.0 everything broke due to JetThemeCore not updating with it. https://crocoblock.com is where you can buy a subscription to get the latest JetThemeCore and other Jet tools. I bought the latest copy downloaded it and it fixed the issue. I did manually go in and deleted the jet-theme-core folder in plugins and copied over the new one rather than going through the standard gui web update process.

    Stop !!
    Just use your brain, the error is written !

    Go to ./wp-content/plugins/jet-theme-core/includes/locations.php line 114
    replace the line with :

    $css_file = new Elementor\Core\Files\CSS\Post( $template_id );

    Enjoy !

    I bought the plugin from here JetThemeCore and got the same error. Thanks for your post, the reason was indeed a missing class from Elementor Core plugin. Solved updating to 1.1.15+.

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.